Manage an email mailbox
Connect an owned business address, check DNS, test forwarding/sending, activate, update settings, disconnect or reconnect. Setup tests send real emails. Automatic replies default off.
Authorization
BearerAuth write:emailAuthorizationBearer <token>
In: header
Scope: write:email
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/agents/string/email" \ -H "Content-Type: application/json" \ -d '{ "address": "string", "name": "string", "action": "create" }'{
"mailbox": {
"id": "string",
"chatbotId": "string",
"domainId": "string",
"address": "string",
"name": "string",
"status": "pending",
"isDefault": true,
"aiEnabled": true,
"instructions": "string",
"signature": "string",
"toolAllowlist": [
"string"
],
"receivingVerifiedAt": "2019-08-24T14:15:22Z",
"lastReceivedAt": "2019-08-24T14:15:22Z",
"testSentAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"domain": {
"id": "string",
"domain": "string",
"status": "string",
"dkimTokens": [
"string"
],
"mailFromDomain": "string",
"mailFromStatus": "string",
"dmarcRecord": "string",
"verifiedAt": "2019-08-24T14:15:22Z",
"checkedAt": "2019-08-24T14:15:22Z"
},
"forwardingAddress": "string",
"dns": [
{
"type": "string",
"name": "string",
"value": "string"
}
]
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"issues": [
{
"path": "string",
"message": "string"
}
]
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"issues": [
{
"path": "string",
"message": "string"
}
]
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"issues": [
{
"path": "string",
"message": "string"
}
]
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"issues": [
{
"path": "string",
"message": "string"
}
]
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"issues": [
{
"path": "string",
"message": "string"
}
]
}